%define major			2
%define libname			%mklibname %{name} %{major}
%define libnamedev		%mklibname %{name} -d
%define ulock_major		1

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		fuse
Version:	2.9.9
Release:	%mkrel 6
License:	GPLv2+
Group:		System/Libraries
URL:		https://github.com/libfuse/libfuse/
Source0:	https://github.com/libfuse/libfuse/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Upstream patches
Patch1:		0001-Whitelist-UFSD-backport-to-2.9-branch-452.patch
Patch2:		0002-Correct-errno-comparison-571.patch
Patch3:		0003-util-ulockmgr_server.c-conditionally-define-closefro.patch
# Backported from fuse3
# https://github.com/libfuse/libfuse/pull/392/commits/39b94ba3c5638f2ec76d392acf8aad32719d64c0
Patch51:	0001-Whitelist-SMB2-found-on-some-NAS-devices.patch
# Mageia patches
Patch101:	mount-readlink-hang-workaround.patch
Patch102:	fuse-2.9.2-namespace-conflict-fix.patch
BuildRequires:  libtool
BuildRequires:  gettext-devel
Requires:	%{name}-common
Obsoletes:	fuse2 < 2.9.7-2

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}fuse-static-devel < 2.9.7-2
Obsoletes:	%{_lib}fuse2-devel < 2.9.7-2
Obsoletes:	%{_lib}fuse2-static-devel < 2.9.7-2

%description -n	%{libnamedev}
Header files and development libraries for fuse.

%package -n	%{libname}
Summary:	Libraries for fuse
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{libname}
Libraries for fuse.

%prep
%autosetup -p1

sed -i 's|mknod|/bin/echo Disabled: mknod |g' util/Makefile.in

%build
autoreconf -fi
export MOUNT_FUSE_PATH=%{_sbindir}
export INIT_D_PATH=%{_initrddir}
%configure \
	--disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_sysconfdir}/rc.d/init.d %{buildroot}%{_sysconfdir}/udev/rules.d
rm -rf %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS ChangeLog NEWS README.md README.NFS
%license COPYING
%attr(0755,root,root) %{_sbindir}/mount.fuse
%attr(4755,root,root) %{_bindir}/fusermount
%attr(0755,root,root) %{_bindir}/ulockmgr_server
%{_mandir}/man1/fusermount.1*
%{_mandir}/man1/ulockmgr_server.1*
%{_mandir}/man8/mount.fuse.8*

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libfuse.so.%{major}{,.*}
%{_libdir}/libulockmgr.so.%{ulock_major}{,.*}

%files -n %{libnamedev}
%{_includedir}/fuse/
%{_includedir}/*.h
%{_libdir}/libfuse.so
%{_libdir}/libulockmgr.so
%{_libdir}/pkgconfig/fuse.pc


%changelog
* Sun May 08 2022 wally <wally> 2.9.9-6.mga9
+ Revision: 1856776
- add patches from upstream 2.9 branch

* Thu Mar 17 2022 danf <danf> 2.9.9-5.mga9
+ Revision: 1797426
- Add closefrom.patch to fix naming conflict with glibc 2.35
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Apr 14 2020 ovitters <ovitters> 2.9.9-4.mga8
+ Revision: 1567301
- drop requires (pre/post) for makedev and rpmhelper (for long gone pre/post scripts)

* Tue Feb 18 2020 umeabot <umeabot> 2.9.9-3.mga8
+ Revision: 1540985
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 18 2019 wally <wally> 2.9.9-2.mga8
+ Revision: 1468771
- move fuse-common to fuse3

* Mon Jan 21 2019 luigiwalser <luigiwalser> 2.9.9-1.mga7
+ Revision: 1358573
- 2.9.9

* Sun Sep 23 2018 umeabot <umeabot> 2.9.8-3.mga7
+ Revision: 1297801
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 pterjan <pterjan> 2.9.8-2.mga7
+ Revision: 1246635
- Restore accidentaly empty patch

* Tue Jul 31 2018 mokraemer <mokraemer> 2.9.8-1.mga7
+ Revision: 1246341
- new version 2.9.8
+ pterjan <pterjan>
- Revert previous commit, patch was correct and better...

* Fri Jun 01 2018 pterjan <pterjan> 2.9.7-5.mga7
+ Revision: 1233532
- Fix patch to also build on aarch64

* Fri Jun 01 2018 wally <wally> 2.9.7-4.mga7
+ Revision: 1233524
- add patch from Fedora to fix aarch64 build

* Sat Oct 07 2017 wally <wally> 2.9.7-3.mga7
+ Revision: 1169809
- obsolete fuse2 devel pkgs

* Fri Oct 06 2017 wally <wally> 2.9.7-2.mga7
+ Revision: 1169611
- obsolete fuse2
- drop useless zero epoch
- drop static devel pkg
- drop unneeded preun scriptlet
- create fuse-common for fuse/fuse3 common files

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0:2.9.7-1.mga6
+ Revision: 1045268
- 2.9.7

* Fri May 06 2016 luigiwalser <luigiwalser> 0:2.9.6-1.mga6
+ Revision: 1009939
- 2.9.6

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0:2.9.5-1.mga6
+ Revision: 927216
- 2.9.5
- update URLs

* Fri Jul 24 2015 joequant <joequant> 0:2.9.4-1.mga6
+ Revision: 857005
- upgrade to 2.9.4

* Fri May 22 2015 luigiwalser <luigiwalser> 0:2.9.3-5.mga5
+ Revision: 822587
- add patch from ubuntu to fix CVE-2015-3202

* Wed Oct 15 2014 umeabot <umeabot> 0:2.9.3-4.mga5
+ Revision: 750488
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.9.3-3.mga5
+ Revision: 679379
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0:2.9.3-2.mga4
+ Revision: 529937
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 luigiwalser <luigiwalser> 0:2.9.3-1.mga4
+ Revision: 454111
- 2.9.3

* Fri Jan 11 2013 umeabot <umeabot> 0:2.9.2-2.mga3
+ Revision: 350995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 luigiwalser <luigiwalser> 0:2.9.2-1.mga3
+ Revision: 334770
- 2.9.2

* Mon Dec 24 2012 tv <tv> 0:2.9.1-3.mga3
+ Revision: 334683
- revert blino's requires on 'kmod(fuse)': it's provided by all kernels anyway
  but but this requires forces having kernel installed in iurt chroots if fuse
  is needed
+ malo <malo>
- fix RPM group

* Sun Aug 26 2012 fedya <fedya> 0:2.9.1-2.mga3
+ Revision: 284048
- la files removed

* Wed Aug 22 2012 fedya <fedya> 0:2.9.1-1.mga3
+ Revision: 283118
- version update 2.9.1 and unversioned-explicit-obsoletes fix

* Sat Jul 21 2012 colin <colin> 0:2.8.7-2.mga3
+ Revision: 273158
- Update for usrmove

* Tue Mar 06 2012 blino <blino> 0:2.8.7-1.mga2
+ Revision: 220640
- 2.8.7
- require kmod(fuse) (even if enabled in all kernels from core)

* Sat Oct 15 2011 eandry <eandry> 0:2.8.6-1.mga2
+ Revision: 155372
- New version 2.8.6

* Thu Mar 03 2011 eandry <eandry> 0:2.8.5-1.mga1
+ Revision: 63470
- New version 2.8.5
- clean spec

* Tue Jan 11 2011 blino <blino> 0:2.8.4-3.mga1
+ Revision: 5817
- remove old ldconfig scriptlets and obsoletes
- imported package fuse

